pro shapelets_make_xarr, n, x1, x2,  x0=x0

;$Id: shapelets_make_xarr.pro, v1.0$
;
; Copyright  2004 Richard Massey and Alexandre Refregier.
;
; This file is a part of the Shapelets analysis code.
; www.ast.cam.ac.uk/~rjm/shapelets/
;
; The Shapelets code is free software; you can redistribute it and/or
; modify it under the terms of the GNU General Public License as published
; by the Free Software Foundation; either version 2 of the License, or
; (at your option) any later version.
;
; The Shapelets code is distributed in the hope that it will be useful,
; but WITHOUT ANY WARRANTY; without even the implied warranty of
; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
; GNU General Public License for more details.
;
; You should have received a copy of the GNU General Public License
; along with the Shapelets code; if not, write to the Free Software
; Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
;
;+
; Dec 01 - Debugged by R. Massey
; Jul 99 - Written by A. Refregier
;
; PURPOSE: make arrays containing the values of the x1 and x2
; coordinates. This is convenient for evaluating functions of
; (x1,x2) on a grid.
; INPUT: n=[n1,n2]: array dimensions
; OPTIONAL INPUT: x0=[xc1,xc2]: pixel coordinate of the center (x1,x2=0)
;                  (default=center of the array)
; OUTPUT: x1,x2: 2 n1*n2 arrays
;-

COMPILE_OPT idl2

; Set reference point to the centre if not specified
if not keyword_set(x0) then x0=.5*float(n)

; Make x arrays
one = replicate(1.,n[1])
vec = findgen(n[0])-x0[0]+.5  ; x(0) to centre and 0.5 to get into middle of pixel
x1  = vec#one

; Make y arrays
one = replicate(1.,n[0])
vec = findgen(n[1])-x0[1]+.5
x2  = one#vec

end
