#!/bin/tcsh
#
# I want to run my job in tcsh:
#$ -S /bin/tcsh
#
# Run from the directory where qsub is invoked:
#$ -cwd
#
# Mail me at this address
#$ -M rjm@ast.cam.ac.uk
# if the job is begun (b), aborted (a) and at the end (e) of job:
#$ -m bae
#
# put the output from this job in a file:
# -o sge.out.txtn
#
# should there be any errors, write them to a file:
# -e sge.err.txtn
#
# Memory requirements:
#$ -l s_vmem=1800M
#$ -l h_vmem=1800M
#
# Also needs fast processor(s). Ask nicely for two of them!
#$ -soft -l mhz=450
#  -l num_proc=2
#  -l s_cpu=2
# -q cass55.q
#
# Set the job name
#$ -N .SHextractor
#
# run my cpu-intensive job:
source /home/rjm/.idlpath # Get IDL paths
#echo SHextractor script running on `\hostname` 1>&2
#( echo "This is directed to stderr" 1>&2 >stdout_file ) >&stderr_file

idl << EOF
 
 spawn,"\hostname",hostname & message,"IDL SHextractor script running on "+hostname,/info
 
 fname='HDF-N_f814'
 
 ;shapelets_read_psf,psf,/SNAP,pixsize=0.04,n_max=12
 ;shapelets_read_psf,psf,/HST,pixsize=0.04,n_max=8
 
 ;sex,fname
 shex,fname,n_max=15,psf=psf

 exit, 42

EOF
